Embiggen = LibStub("AceAddon-3.0"):NewAddon("Embiggen", "AceConsole-3.0")
local Embiggen, self = Embiggen, Embiggen
local defaults = {
	profile = {
		embiggen = true,
	},
}
local L = LibStub("AceLocale-3.0"):GetLocale("Embiggen")
local db

local function GetOptions()
	local options = {
		type = "group",
		name = GetAddOnMetadata("Embiggen", "Title"),
		args = {
			embiggendesc = {
				type = "description",
				order = 0,
				name = GetAddOnMetadata("Embiggen", "Notes"),
			},
			scale = {
				name = GetAddOnMetadata("Embiggen", "Title"),
				desc = L["Embiggen the player arrow."],
				type = "toggle",
				order = 100,
				get = function()
					return db.embiggen
				end,
				set = function()
					db.embiggen = not db.embiggen
					Embiggen:SetPlayerArrowScale(true)
				end,
			},
		},
	}
	return options
end

function Embiggen:OnInitialize()
	-- Grab the db
	self.db = LibStub("AceDB-3.0"):New("EmbiggenDB", defaults)
	db = self.db.profile
	LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable("Embiggen", GetOptions)
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("Embiggen", GetAddOnMetadata("Embiggen", "Title"))
	self:RegisterChatCommand("embiggen", function() InterfaceOptionsFrame_OpenToCategory(GetAddOnMetadata("Embiggen", "Title")) end)
end

function Embiggen:OnEnable()
	self:SetPlayerArrowScale(true)
end

function Embiggen:OnDisable()
	self:SetPlayerArrowScale(false)
end

function Embiggen:SetPlayerArrowScale(orly)
	if orly then
		local embiggen = db.embiggen
		PlayerArrowFrame:SetModelScale(embiggen and 1.5 or 1)
		PlayerArrowEffectFrame:SetModelScale(embiggen and 1.5 or 1)
	else
		PlayerArrowFrame:SetModelScale(1)
		PlayerArrowEffectFrame:SetModelScale(1)
	end
end
